/**
 * @file
 */

var gulp = require('gulp');
const sass = require('gulp-sass')(require('sass'));
var input = './src/sass/*.scss';
var output = './css';
var partials = './src/sass/partials/*.scss';

gulp.task('sass', function () {
  return gulp
    // Find all `.scss` files from the `stylesheets/` folder.
    .src(input)
    // Run Sass on those files.
    .pipe(sass())
    // Write the resulting CSS in the output folder.
    .pipe(gulp.dest(output));
});

gulp.task('watch', function () {
  gulp.watch([input, partials], gulp.series('sass'));
});
